
/* functions and vars exported by hpt.c */

/* These values are hpt.conf tunables */
extern int debug_level;
extern int merge_requests;
extern int num_retries;
extern int udma_max;

extern ddi_device_acc_attr_t dev_attr;


extern void cleanup_request(struct buf *,int errorflag);
extern void intr_sleep(int usec);
extern int waitfordata(struct hpt_softstate *,int bus);
extern void hpt_iprint(int instance,char *message);
extern void printqueue(struct hpt_softstate *softstate, int disk);
extern void printbufchain(struct buf *chain);
extern int countbufchain(struct buf *chain);

extern int hpt_strategy(struct buf* bptr);

extern void hpt_dname_to_string(uint16_t *rawID, char *outbuf);
extern void hpt_timeout_handler(void *arg);
