#include <stdio.h>
#include <unistd.h>
#include <fcntl.h>
#include <sys/types.h>
#include <errno.h>

int main(int argc, char *argv[]){
	char buffer[10000];
	int bytecount=8192;
	int block;
	int fd, rcount;
	char *DEV;
	/*char *DEV="/devices/pci@0,0/pci1103,4@13:hpt0D0";*/

	memset(buffer,0,8192);
	for(block=0;block<16;block++){
		sprintf(&buffer[block*512],"block %d",block);
	}
	

	if(argc<2){
		puts("You must give a device to read from");
		exit(1);
	}
	DEV=argv[1];

	sprintf(buffer,"%s",
		"This is original data from the testread program buffer\n");

	fprintf(stderr,"Using device %s\n",DEV);

	fd=open(DEV,O_RDONLY);
	if(fd<0){
		perror("could not open device");
		exit(errno);
	}

	fprintf(stderr,"reading %d bytes from dev\n",bytecount);
	rcount=read(fd,buffer,bytecount);
	if(rcount<1){
		perror("bad read?");
		fprintf(stderr,"Only read %d chars\n",rcount);
		close(fd);
		exit(1);
	}

	write(1,buffer,rcount);
	close(fd);

	return 0;
}
