#include <unistd.h>
#include <fcntl.h>
#include <sys/dktp/fdisk.h>
#include <sys/types.h>
#include <sys/dkio.h>
#include <sys/vtoc.h>
#include <errno.h>

#include <stdio.h>


int main(int argc, char *argv[]){
	int  fd,fpart;
	struct ipart parts[10];
	struct mboot mboot,*mbootptr;

	puts("WARNING: using this IOCTL is supposedly not supported any more");

	if(argc<2){
		puts("Need name of  device!");
		exit(1);
	}
	fd=open(argv[1],O_RDONLY);

	if(fd==-1){
		perror("could not open device");
		exit(errno);
	}

	if(ioctl(fd, DKIOCGMBOOT, &mboot) != 0){
		perror("could not get mboot info");
		exit(errno);
	}


	memcpy(parts, mbootptr->parts, sizeof(struct ipart)*FD_NUMPART);
	for(fpart=0;fpart<FD_NUMPART;fpart++){
		printf("%d: startblock %d, size %d, type %d\n",
		fpart+1,
		parts[fpart].relsect,
		parts[fpart].numsect,
		parts[fpart].systid);
	}

	return 0;
}
