#include <unistd.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/dkio.h>
#include <sys/vtoc.h>
#include <errno.h>

#include <stdio.h>


int main(int argc, char *argv[]){
	int  fd;
	struct part_info pi;

	if(argc<2){
		puts("Need name of  device!");
		exit(1);
	}
	fd=open(argv[1],O_RDONLY);

	if(fd==-1){
		perror("could not open device");
		exit(errno);
	}

	if(ioctl(fd, DKIOCPARTINFO, &pi) != 0){
		perror("could not get info");
		exit(errno);
	}


	puts("here is the slice info");

	printf("start %d, size %d\n",
	       pi.p_start, pi.p_length);

	return 0;
}
