#!/bin/ksh

#nasty hardcode. sigh.
DEVBASE=/devices/pci@0,0/pci1103,4@13:hpt0

if [ ! -b ${DEVBASE}D0 ] ; then
	print hpt driver not installed.
	print install before running this script
	exit
fi

if [ -h /dev/dsk/h0d0p0 ] ; then
	print Note: h0d0p0 link already exists.
	print Overwriting the link
fi

rm /dev/*/h0*
cd /dev/dsk

ln -s ${DEVBASE}D0 h0d0p0
ln -s ${DEVBASE}D0f1 h0d0p1
ln -s ${DEVBASE}D0f2 h0d0p2
ln -s ${DEVBASE}D0f3 h0d0p3
ln -s ${DEVBASE}D0f4 h0d0p4

ln -s ${DEVBASE}d0a h0d0s0
ln -s ${DEVBASE}d0b h0d0s1
ln -s ${DEVBASE}d0c h0d0s2
ln -s ${DEVBASE}d0d h0d0s3
ln -s ${DEVBASE}d0e h0d0s4
ln -s ${DEVBASE}d0f h0d0s5
ln -s ${DEVBASE}d0g h0d0s6
ln -s ${DEVBASE}d0h h0d0s7

cd /dev/rdsk
ln -s ${DEVBASE}D0,raw h0d0p0
ln -s ${DEVBASE}D0f1,raw h0d0p1
ln -s ${DEVBASE}D0f2,raw h0d0p2
ln -s ${DEVBASE}D0f3,raw h0d0p3
ln -s ${DEVBASE}D0f4,raw h0d0p4

ln -s ${DEVBASE}d0a,raw h0d0s0
ln -s ${DEVBASE}d0b,raw h0d0s1
ln -s ${DEVBASE}d0c,raw h0d0s2
ln -s ${DEVBASE}d0d,raw h0d0s3
ln -s ${DEVBASE}d0e,raw h0d0s4
ln -s ${DEVBASE}d0f,raw h0d0s5
ln -s ${DEVBASE}d0g,raw h0d0s6
ln -s ${DEVBASE}d0h,raw h0d0s7

print h0d0XX links created
print "Note that we only handle the first drive, on the first chain, for now."

