#include <stdio.h>
#include <sys/types.h>
#include <sys/dktp/fdisk.h>


/* buffer must be at least 20 chars +1*/

void numtoOS(int ostype, char *buffer){
	switch(ostype){

		case FDISK_NOVELL3:
			sprintf(buffer,"Novell netware3",ostype);
			break;

		case FDISK_QNX4:
			sprintf(buffer,"QNX p1",ostype);
			break;
		case FDISK_QNX42:
			sprintf(buffer,"QNX p2",ostype);
			break;
		case FDISK_QNX43:
			sprintf(buffer,"QNX p3",ostype);
			break;


		case FDISK_OS2BOOT:
			sprintf(buffer,"OS2 Bootmanager",ostype);
			break;

		case FDISK_EXTLBA:
			sprintf(buffer,"Extended(LBA)",ostype);
			break;
		case EXTDOS:
			sprintf(buffer,"DOS(Extended)",ostype);
			break;
		case DOSDATA:
			sprintf(buffer,"DOS data",ostype);
			break;
		case DOSHUGE:
			sprintf(buffer,"DOS(HUGE)",ostype);
			break;
		case DOSOS16:
			sprintf(buffer,"DOS",ostype);
			break;
		case FDISK_FAT95:
			sprintf(buffer,"DOS/win95 FAT",ostype);
			break;
		case FDISK_WINDOWS:
			sprintf(buffer,"FAT32",ostype);
			break;
		case FDISK_EXT_WIN:
			sprintf(buffer,"FAT32-INT13",ostype);
			break;

		case FDISK_CPM:
			sprintf(buffer,"CP/M",ostype);
			break;
		case FDISK_BSD:	
			sprintf(buffer,"BSD",ostype);
			break;
		case FDISK_BSDIFS:	
			sprintf(buffer,"BSD-I",ostype);
			break;
		case FDISK_BSDISWAP:	
			sprintf(buffer,"BSD-I swap",ostype);
			break;
		case FDISK_NEXTSTEP:	
			sprintf(buffer,"NeXTSTEP",ostype);
			break;


		case FDISK_NTFSVOL1:	
			sprintf(buffer,"NTFSvol1",ostype);
			break;
		case FDISK_NTFSVOL2:	
			sprintf(buffer,"NTFSvol2",ostype);
			break;

		case FDISK_LINUX:
			sprintf(buffer,"oldLinux",ostype);
			break;
		case FDISK_LINUXNAT:	
			sprintf(buffer,"LINUX Native",ostype);
			break;
		case UNIXOS:
			sprintf(buffer,"SysV UNIX",ostype);
			break;
		case SUNIXOS:
			sprintf(buffer,"SOLARIS (/linuxswap)",ostype);
			break;
		case X86BOOT:
			sprintf(buffer,"Solaris x86Boot",ostype);
			break;
			
		default:
			sprintf(buffer,"(#%d)",ostype);
	}
}
