
/* routines exported by hpt-ide.h */


int	getpiodatablock(struct hpt_softstate *softst,int, uint16_t *);

int	getnumheads(struct hpt_softstate *softstate,int drive);
int	getnumsectpertrack(struct hpt_softstate *softstate,int drive);
int	getnumcyl(struct hpt_softstate *softstate,int drive);

int	positiondisk(struct hpt_softstate * , int, uint32_t, uint8_t);
void	printstatus(uint8_t );
void	printideerr(uint8_t );
void	read_delay(struct hpt_softstate *softstate,int );
uint8_t	readaltstatus(struct hpt_softstate *, int);
uint8_t	readstatus(struct hpt_softstate *,int);
uint8_t	readerrval(struct hpt_softstate *,int);
uint8_t	clear_ide_err(struct hpt_softstate *,int);
int	check_for_cleanide(struct hpt_softstate * softstate,int bus);
int	wait_while_busy(struct hpt_softstate *,int);
int	wait_while_drq(struct hpt_softstate *,int);
int	waitforbusy(struct hpt_softstate *,int );
int	waitfordrdy(struct hpt_softstate *,int);
int	waitfordrq(struct hpt_softstate *, int);
void	write_idecontrol(struct hpt_softstate *,int bus, uint8_t);
int	ide_select_drive(struct hpt_softstate *,int drive);
int	ide_which_drive(struct hpt_softstate *,int bus);

int	idecmd_checkstat(struct hpt_softstate*,int,uint8_t cmd);
int	idecmd_nocheck(struct hpt_softstate*,int,uint8_t cmd);

void	enable_interrupt(struct hpt_softstate * softstate,int bus);
void	disable_interrupt(struct hpt_softstate * softstate,int bus);
int	software_reset(struct hpt_softstate *,int bus );

int	hpt_read_pio(struct hpt_softstate * ,int disk,
	     	void *bufferp,int blknum, uint8_t blkcount);
int	hpt_write_pio(struct hpt_softstate * ,int disk,
	     	void *bufferp,int blknum, uint8_t blkcount);
