void hpt_printwaitqueue(struct hpt_softstate *softstate, int disk);

struct buf *hpt_one_from_waitqueue(struct hpt_softstate*,int drive);

void hpt_forceclean_waitqueue(struct hpt_softstate*,int drive);

void hpt_add_to_waitqueue(struct hpt_softstate *softstate,int drive,
			  struct buf*);

void hpt_printactivequeue(struct hpt_softstate *softstate, int disk);
int hpt_set_activequeue(struct hpt_softstate *softstate, int bus,
		    struct sgclump *);

int hpt_replace_activequeue(struct hpt_softstate *, int bus, struct sgclump*);
int hpt_countactiveblocks(struct hpt_softstate*,int drive);
struct buf* hpt_getactivehead(struct hpt_softstate*,int bus);
struct sgclump* hpt_getactivesgclump(struct hpt_softstate*,int bus);

struct sgclump *hpt_clear_activequeue(struct hpt_softstate,int bus);
int hpt_cleanup_active(struct hpt_softstate *softstate,int drive, int err);
void hpt_free_sgclumpchain(struct sgclump *clumpptr,int err);

